-- Script for the destructible prop test

function GetEntityClassType(self)
  return "RPG_DestructibleProp";
end

function OnInitProperties(self)  

  -- Entity Properties
  self:SetProperty("m_collisionRadius", 28);
  self:SetProperty("m_collisionHeight", 50);
  self:SetProperty("m_removeCollisionAfterDestruction", true);

  self:SetProperty("m_healthMax", 1);

  self:SetProperty("m_postDestructionMeshFilename", "Models/Temple/Temple_Vase_Broken_01.model");

  -- FX
  -- self:SetProperty("m_effectDefinitions[DEFX_Ambient].m_vfxFilename", "Particles/Magic/Particles_Magic_SwirlTrail_01.xml");
  -- self:SetProperty("m_effectDefinitions[DEFX_Ambient].m_fmodEventGroupName", "");
  -- self:SetProperty("m_effectDefinitions[DEFX_Ambient].m_fmodEventName", "");

  self:SetProperty("m_effectDefinitions[DEFX_TakeHit].m_vfxFilename", "Particles/Environmental/Particles_Pillar_Impact_mobile.xml");
  self:SetProperty("m_effectDefinitions[DEFX_TakeHit].m_fmodEventGroupName", "Props");
  self:SetProperty("m_effectDefinitions[DEFX_TakeHit].m_fmodEventName", "Destructible_Pillar_Hit");

  self:SetProperty("m_effectDefinitions[DEFX_Destroy].m_vfxFilename", "Particles/Environmental/Particles_Pilar_Destroy_mobile.xml");
  self:SetProperty("m_effectDefinitions[DEFX_Destroy].m_fmodEventGroupName", "Props");
  self:SetProperty("m_effectDefinitions[DEFX_Destroy].m_fmodEventName", "Destructible_Pillar_Break");
  
end
