-- pickup that adds mana to the player

function GetEntityClassType(self)
  return "RPG_InventoryPickup";
end

function OnInitProperties(self)  
  -- Physics Properties
  self:SetProperty("m_equippedPrefabFileName", "Prefabs/Player_Barbarian_Axe.vprefab");
  self:SetProperty("m_equipmentSlot", 7);
  self:SetProperty("m_detachOnDeath", true);
  
  -- special weapon properties
  self:SetProperty("m_itemName", "Hand-me-down Axe");
  self:SetProperty("m_isShieldType", false);
  
  -- damage
  self:SetProperty("m_minDamage", 0.8);
  self:SetProperty("m_maxDamage", 1.2);
  
  -- speed & range
  self:SetProperty("m_speed", 1);
  self:SetProperty("m_range", 150);
  self:SetProperty("m_impactSpeed", 2500);
  
  -- knock back
  self:SetProperty("m_knockBackStrength", 50);
  self:SetProperty("m_knockBackDuration", 0.15);
  
end
   