-- pickup that adds health to the player

function GetEntityClassType(self)
  return "RPG_HealthPickup";
end

function OnInitProperties(self)
  -- Model File
  self:SetMesh("Models\\Orb\\RedOrb.model");
  self:SetVisible(false);
  self:SetProperty("m_effectDefinitions[PKFX_Pickup].m_vfxFilename", "Particles/CharacterEffects/Barbarian_Pickup_Health_mobile.xml");
  self:SetProperty("m_effectDefinitions[PKFX_Ambient].m_vfxFilename", "Particles/Gameplay/RPG_Game_HealthOrb_Idle.xml");
  
  -- Physics Properties
  self:SetProperty("m_usePhysics", true);
  self:SetProperty("m_mass", 0.3);
  self:SetProperty("m_magnetMaxDistance", 100000);
  self:SetProperty("m_magnetSpeedMultiplier", 100);
  self:SetProperty("m_spawnIdleTime", 1.5);
  self:SetProperty("m_verticalSpawnForceMin", 100);
  self:SetProperty("m_verticalSpawnForceMax", 250);
  self:SetProperty("m_horizontalSpawnForceMin", 10);
  self:SetProperty("m_horizontalSpawnForceMax", 20);
  
  -- Health Properties
  self:SetProperty("m_healthAmount", 30);
end