-- pickup that adds mana to the player

function GetEntityClassType(self)
  return "RPG_ManaPickup";
end

function OnInitProperties(self)
  -- Model File
  self:SetMesh("Models\\Orb\\BlueOrb.model");
  self:SetVisible(false);
  self:SetProperty("m_effectDefinitions[PKFX_Pickup].m_vfxFilename", "Particles/CharacterEffects/Barbarian_Pickup_Mana_mobile.xml");
  self:SetProperty("m_effectDefinitions[PKFX_Ambient].m_vfxFilename", "Particles/Gameplay/RPG_Game_ManaOrb_Idle.xml");
  
  -- Physics Properties
  self:SetProperty("m_usePhysics", true);
  self:SetProperty("m_mass", 0.3);
  self:SetProperty("m_magnetMaxDistance", 100000);
  self:SetProperty("m_magnetSpeedMultiplier", 100);
  self:SetProperty("m_spawnIdleTime", 1.5);
  self:SetProperty("m_verticalSpawnForceMin", 100);
  self:SetProperty("m_verticalSpawnForceMax", 250);
  self:SetProperty("m_horizontalSpawnForceMin", 10);
  self:SetProperty("m_horizontalSpawnForceMax", 30);
  
  -- Mana Properties
  self:SetProperty("m_manaAmount", 5);
end